Name:           perl-Unix-Statgrab
Version:        0.04
Release:        4%{?dist}
Summary:        Perl extension for collecting information about the machine
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Unix-Statgrab/
Source0:        http://www.cpan.org/authors/id/V/VP/VPARSEVAL/Unix-Statgrab-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libstatgrab-devel >= 0.12
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Unix::Statgrab is a wrapper for libstatgrab as available from
<http://www.i-scream.org/libstatgrab/>. It is a reasonably portable attempt
to query interesting stats about your computer. It covers information on the
operating system, CPU, memory usage, network interfaces, hard-disks etc. 

%prep
%setup -q -n Unix-Statgrab-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Unix*
%{_mandir}/man3/*

%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.04-4
Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.04-3
- Autorebuild for GCC 4.3

* Tue Apr 17 2007 Steven Pritchard <steve@kspei.com> 0.04-2
- BR ExtUtils::MakeMaker.
- Reformat to more closely resemble cpanspec output.
- Use fixperms macro instead of our own chmod incantation.
- Remove some macro other usage.

* Tue Sep 26 2006 Steven Pritchard <steve@kspei.com> 0.04-1
- Update to 0.04.
- Drop compile fix patch.
- Fix find option order.

* Wed Aug 24 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-7
- Try if Ralf's %files section works

* Wed Aug 24 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-6
- Again

* Wed Aug 24 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-5
- Fix filelist

* Tue Aug 23 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-4
- Bug #165533, thanks to Paul Howarth

* Wed Aug 10 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-3
- Add compile fix, since libstatgrab 0.12 API changes dup to
  duplex

* Wed Aug 10 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-2
- Cleanup specfile
- Try to make it ready for FE

* Mon May 09 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-1.2
- Rebuild

* Wed Apr 13 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-1.1
- Remove the pkgname define

* Wed Apr 13 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.03-1
- Update

* Tue Feb 15 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.02-1
- Initial build for Fedora Core
- Used cpan2rpm for initial specfile

# vim: ts=4 sw=4
